<?php
/**
 * Created by PhpStorm.
 * User: oriol
 * Date: 23/04/16
 * Time: 16:46
 */

namespace tests\controllers;

use App\Http\Controllers\NewAutoritzacioController;
use WithoutMiddleware;
use App\Acces;
use tests\controllers\ANewAccesControllerTest;



class NewAutoritzacioControllerTest extends \TestCase
{
    public function testNewAutoritzacioControllerCanBeCreated()
    {
        $NewAutoritzacioController = new NewAutoritzacioController();
    }

    public function testaddNewCotxe(){
        $this->WithoutMiddleware();

        $this->call('POST', '/alta_autoritzacio',['matricula' => '9875CXP', 'marca' => 'Ford', 'model' => 'Focus']);
        //Testing del redirect back
        $uri = '/alta_autoritzacio';
        $this->assertRedirectedTo($uri, $with = []);
        $NewAutoritzacioController = new NewAutoritzacioController();
        $llista = $NewAutoritzacioController->llistarAutoritzats();
        $this->assertEquals($llista[0]->matricula,"9875CXP");
    }
    public function testllistarAutoritzats(){
        $this->WithoutMiddleware();
        $NewAutoritzacioController = new NewAutoritzacioController();
        $this->assertEquals($NewAutoritzacioController->llistarAutoritzats()->count(),1);
    }


}
